# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2015 Infoprimo SL (<http://infoprimo.com.uy>).
#    Copyright (C) 2012 Camptocamp SA
#    Copyright (C) 2010 Vauxoo (<http://vauxoo.com>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


{
    "name" : "IP Product",
    "version" : "0.1",
    "author" : "InfoPrimo SL",
    'category': 'Purchase Management',
    "depends" : ["base", "product", "stock"],
    "description": """
        *Extensiones modelo product*
         Campos de migracion, etc
         Equivalencia para multiples codigos (de venta)
         Historico de prcios compra y venta de productos.
    """,
    "init_xml" : [],
    'update_xml': [
         'product_view.xml',
         'product_category_view.xml',
         'multi_ean/product_ean_view.xml',
         'wizard/ret_link.xml',
         'wizard/export_product_view.xml',
         #'wizard/recover_attribs_view.xml',
         'security/ir.model.access.csv',
         #'product_pos_attributes.xml',
         #'data/product_data.xml',
    ],
    'test': [],
    'installable': True,
    'auto_install': False,
    'certificate': 'certpapxl',
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
