#!/usr/bin/python
#  -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2015 Infoprimo SL (<http://infoprimo.com.uy>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
#import openerp.addons.product.product as product

from osv import osv, fields
from tools.translate import _
import decimal_precision as dp
import time


#import ipdb
#ipdb.set_trace()

class product_pos_attrib(osv.osv):

    """ class inherit for POS fields extension. """

    _inherit = 'product.product'
    _description = 'Atributos POS'

    
    def attribs(self, cr, uid, ids, context=None):

        if not ids:
            return {}
        if context is None:
            context = {}

        res = {}
        attrib = {}
        #linea atributo de articulo
        cut = 4
        for prod in self.browse(cr,uid,ids):

            for i in range(0,64):
                attrib[prod.id] = 'peteco'
                print attribs[i],
                cut =+ (i % 4)
                if cut == 3:
                    print '====== caurteto'
    """ 

    _columns = {

                   product_ids = fields.many2one('Atributos', product.product, )

                   '01': fields.boolean(' 1 Comestible.',          help="El articulo tiene la propiedad de comestible."),
                   '02': fields.boolean(' 2 No Agrupable.',        help="El ticket detalla la cantidad desglosada para \n" \
                                                                     +" cada escaneo del articulo."),
                   '03': fields.boolean(' 3 Impresion destacada.', help="Articulo configurado para impresion destacada \n" \
                                                                     +" en el ticket - negrita."),
                   '04': fields.boolean(' 4 Service garantia.',    help="Articulo con service de garantia."),

# aplicable a todos los tipos de clientes que tengan seteada la propiedad que se le otorgan millas extras', help="bit 2 en 1 de AtributosTipoCliente de la entidad TipoCliente."),
                   '05': fields.boolean(' 5 Puntos/Millas extra.', help="El articulo da puntos/millas extras a clientes \n" \
                                                                      +" habilitados."),
                   '06': fields.boolean(' 6 Articulo canjeable.'),
                   '07': fields.boolean(' 7 Puede ser gratuito.'),
                   '09': fields.boolean(' 9 Tandem',               help="Tiene articulo asociado/envase"),
                   '11': fields.boolean('11 Solo cantidad entera.',
                                                                 help="Sin decimales. Si se digita la cantidad de \n" \
                                                                     +" articulos antes del codigo, solo se admitira \n" \
                                                                     +" cantidades enteras. Ej. 3 x Codigo Articulo."),
# La cantidad del paquete la determina el data item CantidadPack. Por defalut debera presentar el valor del campo CANTIDADPACK."),
                   '12': fields.boolean('12 Desempaquetable.',     help="El codigo del articulo corresponde a un paquete\n" \
                                                                     +" que puede ser vendido por unidades. \n" \
                                                                     +"     Ejem. Pack de jabones.          \n" \
                                                                     +" Cuando se ingresa un codigo de articulo se  \n" \
                                                                     +" pedira la cantidad de items internos del  \n" \
                                                                     +" paquete"),
# El modo de como se ingresa esta representado por el bit 11. Si se utiliza precios por escala  (bit 15 en 1) este bit obligatoriamente debe estar en 1."),
                   '13': fields.boolean('13 Cantidad obligatoria.',help="Uso en venta por escalas. El articulo puede \n" \
                                                                     +"  requerir el ingreso de la cantidad en forma \n" \
                                                                     +"  obligatoria. Es similar a lo anterior, una \n" \
                                                                     +"  vez pasado el codigo del articulo, pide la \n" \
                                                                     +"  cantidad de articulos total."),
                   '14': fields.boolean('14 Cantidad unitaria.',   help="El articulo utiliza cantidad unitaria para \n" \
                                                                     +"  promociones. Generalmente aplicable a \n" \
                                                                     +"  articulos de balanza fraccionados que requieren \n" \
                                                                     +"  de cantidad unitaria para poder realizar el \n" \
                                                                     +"  calculo del beneficio."),
# Si se utiliza precio por escalas el bit 13 debe estar en 1."),
                   '15': fields.boolean('15 Precio por escala.',   help="El articulo utiliza precio por escalas."),
# (se debe consultar los bits 38 ,39 ,40,41)."),
                   '16': fields.boolean('16 Datos adicionales.',   help="El articulo pide datos adicionales al operador."),

                   '17': fields.boolean('17 Descuento sub-familia',help="Solo aplica el descuento de la sub-familia."),
                   '19': fields.boolean('19 Precio de entorno.',   help="El precio se aplica a todos los entornos."),
                   '20': fields.boolean('20 Venta en entorno',     help="Puede ser vendido en todos los entornos."),
                   '21': fields.boolean('21 Entorno por defecto',  help="El producto solo puede ser vendido en el \n" \
                                                                     +" entorno predeterminado."),
                   '22': fields.boolean('22 Entornos multiples',   help="Puede ser vendido en el entorno predeterminado \n" \
                                                                     +" y en otros."),
                   '24': fields.boolean('24 Precio obligatorio.',  help="El articulo tiene precio abierto. Puede ser \n" \
                                                                     +" modificado por la cajera."),
                   '25': fields.boolean('25 Venta superisada.',    help="Requiere supervisor para la venta."),
                   '27': fields.boolean('27 Otra moneda.',         help="El precio esta en un moneda diferente a la de \n" \
                                                                     +" uso corriente."),
                   '29': fields.boolean('29 Inactivo',             help="No permite su venta."),
                   '31': fields.boolean('31 No descontable',       help="No permite ningun tipo de descuento ni forma \n" \
                                                                     +" parte de la linea para un descuento al total."),
                   '32': fields.boolean('32 Linea al desc.total.',  help="XXX Forma parte como linea al descuento al total."),
                   '36': fields.boolean('36 Beneficio en la linea.',help="El beneficio aplica al total de la linea \n" \
                                                                      +" Se toma en cuenta el monto de la linea -cantidad \n" \
                                                                      +" de articulo * monto articulo- para la generacion \n" \
                                                                      +" de chances en sorteos si la suma de los montos \n" \
                                                                      +" de los articulos marcados superan un monto \n" \
                                                                      +" pre-establecido en \n" \
                                                                      +" ParametrosGenerales - MontoMinimoChance"),
                   '38': fields.boolean('38 Se solicita talle.'),
                   '39': fields.boolean('39 Se solicita color.'),
                   '40': fields.boolean('40 Se solicita marca.'),
                   '41': fields.boolean('41 Se solicita modelo.'),
                   '45': fields.boolean('45 Alta temporal.',          help="El articulo fue dado de alta en forma temporal."),
                   '46': fields.boolean('46 Recarga de celular.',     help="El articulo es de recarga de celular."),

                    # a agosto 2015 no se usan los atributos que siguen
                   '08': fields.boolean('SIN USO', readonly=True),
                   '10': fields.boolean('SIN USO', readonly=True),
                   '18': fields.boolean('SIN USO', readonly=True),
                   '23': fields.boolean('SIN USO', readonly=True),
                   '26': fields.boolean('SIN USO', readonly=True),
                   '28': fields.boolean('SIN USO', readonly=True),
                   '30': fields.boolean('SIN USO', readonly=True),
                   '33': fields.boolean('SIN USO', readonly=True),
                   '34': fields.boolean('SIN USO', readonly=True),
                   '35': fields.boolean('SIN USO', readonly=True),
                   '37': fields.boolean('SIN USO', readonly=True),
                   '42': fields.boolean('SIN USO', readonly=True),
                   '43': fields.boolean('SIN USO', readonly=True),
                   '44': fields.boolean('SIN USO', readonly=True),
                   '47': fields.boolean('SIN USO', readonly=True),
                   '48': fields.boolean('SIN USO', readonly=True),
    }
    """
    _defaults = {

                'b01': False,
                'b02': False,
                'b03': False,
                'b04': False,
                'b05': False,
                'b06': False,
                'b07': False,
                'b09': False,
                'b11': False,
                'b12': False,
                'b13': False,
                'b14': False,
                'b15': False,
                'b16': False,
                'b17': False,
                'b19': False,
                'b20': False,
                'b21': False,
                'b22': False,
                'b24': False,
                'b25': False,
                'b27': False,
                'b29': False,
                'b31': False,
                'b32': False,
                'b36': False,
                'b38': False,
                'b39': False,
                'b40': False,
                'b41': False,
                'b45': False,
                'b46': False,

                # SIN USO
                'b08': False,
                'b10': False,
                'b18': False,
                'b23': False,
                'b26': False,
                'b28': False,
                'b30': False,
                'b33': False,
                'b34': False,
                'b35': False,
                'b37': False,
                'b42': False,
                'b43': False,
                'b44': False,
                'b47': False,
                'b48': False,
    }

product_pos_attrib()

"""
browse_record.write({'field_name' : field_value})

mis12bin = [1:'0010', 2:'0100', 3:'0001', 4:'0001', 5:'0000', 6:'0000', 7:'0000',
            7:'0000', 8:'0000', 10:'0000', 11:'1000', 12:'0000']


mis12hex = {}

for i in mis12bin:
    mis12hex.update({i:hex(int(mis12bin[i],2)).replace('0x','',1) })


mis12hex = {
    1: '2',
    2: '4',
    3: '1',
    4: '1',
    5: '0',
    6: '0',
    7: '0',
    8: '0',
    10: '0',
    11: '8',
    12: '0'
}

print str(hex(int('1000',2)))

mis12bin = {1:'0010', 2:'0100', 3:'0001', 4:'0001', 5:'0000', 6:'0000', 7:'0000',
            7:'0000', 8:'0000', 10:'0000', 11:'1000', 12:'0000'}
for i in mis12bin:
    mis12hex.update({i,hex(int(mis12bin[i],2))})

mis12hex ={}
for i in mis12bin:
    mis12hex.update({i:hex(int(mis12bin[i],2)) })

mis12hex = {}

for i in mis12bin:
    mis12hex.update({i:hex(int(mis12bin[i],2)).replace('0x','',1) })

mis12hex


b12 = {}

for attrib in range(0,12):
    b12.update({attrib: str(attrib)})

"""
