# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import fields, osv
import logging
logger = logging.getLogger(__name__)
timelog  = lambda *x: strftime("%0Y-%0m-%0d %0H:%M:%0S")

class product_category(osv.osv):
    _name = 'product.category'
    _inherit = 'product.category'
    _order = 'id'

    def _subfam_get_fnc(self, cr, uid, peteco=None, context=None):
        res = {}
        cr = self.cr
        qry = """SELECT id from product_category;"""
        import ipdb;ipdb.set_trace()
        try:
            logger.info("\tEjecuta query...")
            cr.execute(qry)
            rr=cr.fetchall()
            res = [info_ids, rr]
        except:
             logger.info("\tERROR Ejecuta query...")
             osv.except_osv('Error !', 'Ha habido un error en la consolidacion de tickets')
        return res


    def _categ_get_fnc(self, cr, uid, ids, prop, unknow_none, context=None):
        if not len(ids):
            return {}
        res = dict()
        for cat in self.browse(cr, uid, ids, context=context):
            res[cat.id] = int(cat.subfamilia)
        return res

    _columns = {
        'familia'   : fields.char('Familia', size=6, required=False, select=False),
        'subfamilia': fields.char('SubFamilia', size=6, help="Debe asignarse número de subfamilia." , select=True),
        'note'      : fields.text('Notes'),
        'subfam_id' : fields.one2many('product.category', 'subfamilia', string='Subfamilia'),
        'categoria' : fields.function(_categ_get_fnc, type="integer", store=True, string='Categoría'),  # store=True,
        'prods_ids' : fields.one2many('product.product', 'subfam_id', string='Productos de la Subf', readonly=True, ondelete='cascade'),
        #'subfam'    : fields.function(_subfam_get_fnc, type="integer", store=True, string='Subfamfunc'),
    }

    _default = {
        'subfamilia': lambda *a : max(_categ_get_fnc) + 1,

    }

product_category()

"""
        'name': fields.char('Name', size=64, required=True, translate=True, select=True),
        'complete_name': fields.function(_name_get_fnc, type="char", string='Name'),
        'parent_id': fields.many2one('product.category','Parent Category', select=True, ondelete='cascade'),
        'child_id': fields.one2many('product.category', 'parent_id', string='Child Categories'),
        'sequence': fields.integer('Sequence', select=True, help="Gives the sequence order when displaying a list of product categories."),
        'type': fields.selection([('view','View'), ('normal','Normal')], 'Category Type'),
        'parent_left': fields.integer('Left Parent', select=1),
        'parent_right': fields.integer('Right Parent', select=1),
"""
